package ru.yandex.webmaster3.viewer.http.achievements;

import ru.yandex.autodoc.common.doc.annotation.Description;
import ru.yandex.webmaster3.core.http.ActionRequest;
import ru.yandex.webmaster3.core.http.RequestQueryProperty;
import ru.yandex.webmaster3.storage.achievements.model.AchievementTld;

/**
 * Created by Oleg Bazdyrev on 24/08/2018.
 */
public class GetAchievementsRequest implements ActionRequest {

    private AchievementTld tld = AchievementTld.RU;
    private String host;

    public AchievementTld getTld() {
        return tld;
    }

    @RequestQueryProperty
    @Description("tld, для которого показываем ачивку")
    public void setTld(AchievementTld tld) {
        this.tld = tld;
    }

    public String getHost() {
        return host;
    }

    @RequestQueryProperty
    @Description("Хост для проверки")
    public void setHost(String host) {
        this.host = host;
    }
}
